## ocplib-simplex 0.5

=== Makefile ===

build:
	@dune build @all @install

doc:
	@dune build @doc

all: build doc

clean:
	@dune clean

test: all
	@dune runtest --no-buffer -f

WATCH?= @all
watch:
	@dune build $(WATCH) -w

install: build
	@dune install

uninstall:
	@dune uninstall

reindent:
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -print0 | xargs -0 echo "reindenting: "
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -print0 | xargs -0 sed -i 's/[[:space:]]*$$//'
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -print0 | xargs -0 ocp-indent -i

opam-deps:
	opam install . --deps-only

.PHONY: build doc all clean test watch install uninstall reindent opam-deps

## ocplib-simplex 0.3

=== debian/changelog ===
ocplib-simplex (0.3-1) unstable; urgency=medium

  * initial upload (closes: #845587)

 -- Ralf Treinen <treinen@debian.org>  Tue, 29 Nov 2016 20:59:56 +0100

=== debian/control ===
Source: ocplib-simplex
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper (>= 10), dh-ocaml,
 ocaml-nox (>= 4.01.0), ocaml-findlib
Standards-Version: 3.9.8
Homepage: https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocplib-simplex.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocplib-simplex.git

Package: ocplib-simplex-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: simplex library for solving linear inequalities
 ocplib-simplex is a (fully) functional OCaml implementation of the
 simplex algorithm for solving systems of linear inequalities. The
 implementation is incremental and backtrackable. It is able to
 extract unsat-cores for unsatisfiable problems, and supports linear
 optimization.

=== debian/tests/control ===
Tests: native-code
Depends: ocaml-nox, ocaml-findlib

Tests: byte-code
Depends: ocaml-nox, ocaml-findlib

## ocplib-simplex 0.4

=== debian/changelog ===
ocplib-simplex (0.4-1) unstable; urgency=medium

  * New upstream version.
    - dropped patch install-target which has been integrated by upstream
    - new patch destdir: don't have $(DESTDIR) filled in by ./configure
    - new patch testcase: fix minimal test for version 0.4
  * Standards-Version 4.1.1:
    - change Priority from extra to optional
  * debian/tests/control: add Dependency @ (thanks to Andy Li)

 -- Ralf Treinen <treinen@debian.org>  Wed, 15 Nov 2017 07:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ocplib-simplex
 Section: ocaml
-Priority: extra
+Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends: debhelper (>= 10), dh-ocaml,
  ocaml-nox (>= 4.01.0), ocaml-findlib
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/OCamlPro-Iguernlala/ocplib-simplex
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocplib-simplex.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocplib-simplex.git

=== debian/tests/control ===
Tests: native-code
Depends: @, ocaml-nox, ocaml-findlib

Tests: byte-code
Depends: @, ocaml-nox, ocaml-findlib

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ocplib-simplex-$1\.tar\.gz/ \
  https://github.com/OCamlPro-Iguernlala/ocplib-simplex/tags \
  .*/v?(\d\S+)\.tar\.gz

## ocplib-simplex 0.5

=== debian/changelog ===
ocplib-simplex (0.5-4build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:38:39 +0100

ocplib-simplex (0.5-4build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:55:54 +0100

ocplib-simplex (0.5-4build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:19:52 +0100

ocplib-simplex (0.5-4build2) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:54:16 +0100

ocplib-simplex (0.5-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 16:06:15 +0100

ocplib-simplex (0.5-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 09:52:44 +0200

ocplib-simplex (0.5-3) unstable; urgency=medium

  * Team upload
  * Add liblogs-ocaml-dev to autopkgtest dependencies

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 05:10:37 +0200

ocplib-simplex (0.5-2) unstable; urgency=medium

  * Team upload
  * Add libnum-ocaml-dev to autopkgtest dependencies

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jul 2023 06:31:40 +0200

ocplib-simplex (0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 05:53:58 +0200

ocplib-simplex (0.4-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Tests depend on libnum-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Nov 2019 10:10:28 +0100

=== debian/control ===
Source: ocplib-simplex
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 1.2),
 libnum-ocaml-dev,
 liblogs-ocaml-dev,
 ocaml,
 ocaml-dune
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocplib-simplex
Vcs-Git: https://salsa.debian.org/ocaml-team/ocplib-simplex.git

Package: ocplib-simplex-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: simplex library for solving linear inequalities
 ocplib-simplex is a (fully) functional OCaml implementation of the
 simplex algorithm for solving systems of linear inequalities. The
 implementation is incremental and backtrackable. It is able to
 extract unsat-cores for unsatisfiable problems, and supports linear
 optimization.

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, ocaml, ocaml-dune, libnum-ocaml-dev, liblogs-ocaml-dev

## ocplib-simplex 0.5.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,14 @@
 clean:
 	@dune clean
 
-test: all
+test: build
 	@dune runtest --no-buffer -f
+
+lock:
+	dune build ./ocplib-simplex.opam
+	opam lock ./ocplib-simplex.opam -w
+	# Remove OCaml compiler constraints
+	sed -i '/"ocaml"\|"ocaml-base-compiler"\|"ocaml-system"\|"ocaml-config"/d' ./ocplib-simplex.opam.locked
 
 WATCH?= @all
 watch:
@@ -31,4 +37,4 @@
 opam-deps:
 	opam install . --deps-only
 
-.PHONY: build doc all clean test watch install uninstall reindent opam-deps
+.PHONY: build doc all clean test lock watch install uninstall reindent opam-deps

=== debian/changelog ===
ocplib-simplex (0.5.1-4build8) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:49:10 +0200

ocplib-simplex (0.5.1-4build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:54:37 +0200

ocplib-simplex (0.5.1-4build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:40:12 +0200

ocplib-simplex (0.5.1-4build5) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:39:20 -0400

ocplib-simplex (0.5.1-4build4) plucky; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:51:58 +0100

ocplib-simplex (0.5.1-4build3) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:42:24 +0100

ocplib-simplex (0.5.1-4build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:31:27 +0100

ocplib-simplex (0.5.1-4build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:16:30 +0100

ocplib-simplex (0.5.1-4) unstable; urgency=medium

  * Team upload
  * Set minimum version of ocaml-dune in autopkgtests

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Jan 2025 07:15:47 +0100

ocplib-simplex (0.5.1-3) unstable; urgency=medium

  * Team upload
  * Fix tests with dune 3.17.0
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jan 2025 20:38:10 +0100

ocplib-simplex (0.5.1-2) unstable; urgency=medium

  * Team upload
  * Test depend on libzarith-ocaml-dev, dependency used for testing
    (Closes: #1072668)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Jun 2024 09:06:39 +0200

ocplib-simplex (0.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:26:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml (>= 1.2),
- libnum-ocaml-dev,
+ libzarith-ocaml-dev,
  liblogs-ocaml-dev,
  ocaml,
- ocaml-dune
-Standards-Version: 4.6.2
+ ocaml-dune (>= 3.17)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/OCamlPro-Iguernlala/ocplib-simplex
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocplib-simplex

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, ocaml, ocaml-dune (>= 3.17), libzarith-ocaml-dev, liblogs-ocaml-dev
